import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.ibatis.sqlmap.client.SqlMapClient;

public class Main {

  public static void main(String[] a) throws Exception {
    Util util = new Util();
    util
        .executeSQLCommand("create table ACCOUNT(ACC_ID int, ACC_FIRST_NAME varchar,ACC_LAST_NAME varchar,ACC_EMAIL varchar);");
    util.executeSQLCommand("create table Message(Message_ID int, content varchar);");

    SqlMapClient sqlMapper = util.getSqlMapClient();

    Account account = new Account();
    account.setId(1);
    account.setEmailAddress("e");
    account.setFirstName("first");
    account.setLastName("last");

    sqlMapper.insert("insertAccount", account);
    util.checkData("select * from account");

    Map<String, String> map = new HashMap<String, String>();
    map.put("emailAddress","e");
    
    List list = sqlMapper.queryForList("getByLike", map);
    
    System.out.println(((AccountResult)list.get(0)).getFirstName());

  }

}